> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstanswer.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all brands



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/brands/
openapi: 3.0.3
info:
  title: First Answer API
  version: 1.0.0
servers:
  - url: https://api.firstanswer.ai
    description: Production
security: []
tags:
  - name: Brands
    description: Manage brands in your workspace
  - name: Groups
    description: Organize prompts into groups
  - name: Monitored Competitors
    description: Track competitor visibility
  - name: Monitored Prompts
    description: Track and analyze AI prompts
  - name: Cited Sources
    description: View sources cited in AI responses
  - name: Action Plans
    description: Manage optimization action plans
  - name: Dashboard
    description: Aggregated metrics and insights
paths:
  /v1/brands/:
    get:
      tags:
        - Brands
      summary: List all brands
      operationId: brands_retrieve
      parameters:
        - in: query
          name: page
          schema:
            type: integer
        - in: query
          name: per_page
          schema:
            type: integer
            maximum: 100
            minimum: 1
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBrandList'
          description: Success
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PaginatedBrandList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Brand'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      required:
        - data
        - pagination
    Brand:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        workspace_id:
          type: integer
          readOnly: true
          nullable: true
        workspace_name:
          type: string
          nullable: true
          readOnly: true
        name:
          type: string
          maxLength: 255
        display_name:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
        key_features:
          type: array
          items:
            type: string
          description: List of key product or brand features
        website:
          type: string
          format: uri
          maxLength: 200
        country:
          $ref: '#/components/schemas/Country'
        language:
          $ref: '#/components/schemas/Language'
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - country
        - created_at
        - id
        - language
        - name
        - website
        - workspace_id
        - workspace_name
    PaginationInfo:
      type: object
      properties:
        current_page:
          type: integer
        per_page:
          type: integer
        total_pages:
          type: integer
        total_records:
          type: integer
      required:
        - current_page
        - per_page
        - total_pages
        - total_records
    Country:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        native_name:
          type: string
          nullable: true
          maxLength: 255
        code:
          type: string
          maxLength: 2
        alt_code:
          type: string
          maxLength: 3
        flag:
          type: string
          maxLength: 20
      required:
        - alt_code
        - code
        - flag
        - name
    Language:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        native_name:
          type: string
          nullable: true
          maxLength: 255
        code:
          type: string
          maxLength: 10
        flag:
          type: string
          maxLength: 20
      required:
        - code
        - flag
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````